Bug 1540908 - Do lock conflict check correctly for wait-list
Summary: Do lock conflict check correctly for wait-list
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: disperse
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Pranith Kumar K
QA Contact: Upasana
URL:
Whiteboard:
Depends On: 1540669 1540882 1540896
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-02-01 09:58 UTC by Pranith Kumar K
Modified: 2018-09-04 06:43 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.12.2-5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1540896
Environment:
Last Closed: 2018-09-04 06:42:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:43:39 UTC

Description Pranith Kumar K 2018-02-01 09:58:26 UTC
+++ This bug was initially created as a clone of Bug #1540896 +++

+++ This bug was initially created as a clone of Bug #1540882 +++

+++ This bug was initially created as a clone of Bug #1540669 +++

Description of problem:
    Problem:
    ec_link_has_lock_conflict() is traversing over only owner_list
    but the function is also getting called with wait_list.
    
    Fix:
    Modify ec_link_has_lock_conflict() to traverse lists correctly.
    Updated the callers to reflect the changes.


Version-Release number of selected component (if applicable):


How reproducible:
Found while code-reading

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Worker Ant on 2018-01-31 12:11:00 EST ---

REVIEW: https://review.gluster.org/19415 (cluster/ec: Do lock conflict check correctly for wait-list) posted (#1) for review on master by Pranith Kumar Karampuri

--- Additional comment from Worker Ant on 2018-02-01 04:07:51 EST ---

COMMIT: https://review.gluster.org/19415 committed in master by "Xavier Hernandez" <jahernan@redhat.com> with a commit message- cluster/ec: Do lock conflict check correctly for wait-list

Problem:
ec_link_has_lock_conflict() is traversing over only owner_list
but the function is also getting called with wait_list.

Fix:
Modify ec_link_has_lock_conflict() to traverse lists correctly.
Updated the callers to reflect the changes.

BUG: 1540669
Change-Id: Ibd7ea10f4498e7c2761f9a6faac6d5cb7d750c91
Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>

--- Additional comment from Worker Ant on 2018-02-01 04:32:38 EST ---

REVIEW: https://review.gluster.org/19426 (cluster/ec: Do lock conflict check correctly for wait-list) posted (#1) for review on release-4.0 by Pranith Kumar Karampuri

--- Additional comment from Worker Ant on 2018-02-01 04:53:35 EST ---

REVIEW: https://review.gluster.org/19428 (cluster/ec: Do lock conflict check correctly for wait-list) posted (#1) for review on release-3.13 by Pranith Kumar Karampuri

Comment 4 Sunil Kumar Acharya 2018-03-07 08:32:07 UTC
Upstream patch: https://review.gluster.org/#/c/19415/

Comment 9 errata-xmlrpc 2018-09-04 06:42:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.